## ChamplainNullTileSource

ChamplainNullTileSource — A tile source that doesn't load map data from anywhere

## Functions

ChamplainNullTileSource * | champlain_null_tile_source_new_full ()

## Types and Values

struct | ChamplainNullTileSource

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ChamplainMapSource
                ╰── ChamplainTileSource
                    ╰── ChamplainNullTileSource

## Description

This map source does not provide any input data to the associated renderer. This can be useful in situations when the tile can be rendered independently of any input such as in the case of the ChamplainErrorTileRenderer.

## Functions

### champlain_null_tile_source_new_full ()

    ChamplainNullTileSource *
    champlain_null_tile_source_new_full (ChamplainRenderer *renderer);

Constructor of ChamplainNullTileSource.

#### Parameters

renderer | the ChamplainRenderer used to render tiles |

#### Returns

a constructed ChamplainNullTileSource object

Since: 0.8

## Types and Values

### struct ChamplainNullTileSource

    struct ChamplainNullTileSource;

The ChamplainNullTileSource structure contains only private data and should be accessed using the provided API

Since: 0.8